Subject: bug#23809: 24.5; Positive argument to 'posn-at-point' throws erros as being negative

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Jul 2016 17:51:06 +0300

> From: Lluís Vilanova <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 11 Jul 2016 12:23:15 +0200
> 
> >   . Can you show the entire value returned by Fpos_visible_in_window_p
> >     when its call from Fposn_at_point returns, when this problem is
> >     reproduced?  If you load the file .gdbinit that is located in the
> >     Emacs src directory, then displaying the return value is simple:
> >     type "pp tem" at the GDB prompt, after Fpos_visible_in_window_p
> >     returns.
> 
> Sorry, but strangely enough, I'm unable to reproduce the problem now. And I'm
> not aware of having updated emacs nor the packages it uses. I'll reply with the
> information if it happens again.

Strange indeed.  Thanks in advance.

> >   . You say "pdf-tools (and doc-view) let you scroll the buffer, but
> >     never move point" -- can you point me to code in pdf-tools that
> >     does this?
> 
> I'm actually not sure about it. It's just an intuition based on the fact that
> the keys used to move point actually scroll the window, and there is no visible
> point in it.

That sounds like the normal image scrolling feature of Emacs.
The reason I asked is that I tried to reproduce the problem by
scrolling through a very large image, but couldn't.  So there's some
other factor at work here that I cannot grasp.